Bug Hunting Session
Bug 99512 - Calc don't display correctly time cells
Summary: Calc don't display correctly time cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.2 rc
Hardware: All All
: medium normal
Assignee: Michael Meeks
URL:
Whiteboard: target:5.3.0 target:5.2.0 target:5.1.5
Keywords:
Depends on:
Blocks: OpenCL
  Show dependency treegraph
 
Reported: 2016-04-26 13:18 UTC by Ramon Mallafré Gispert
Modified: 2016-10-25 18:38 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Hour field collected using vlookup (69.67 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-04-26 13:18 UTC, Ramon Mallafré Gispert
Details
printscreen from openOffice and LO (129.98 KB, application/vnd.oasis.opendocument.text)
2016-04-26 20:47 UTC, raal
Details
Not possible to open with calc (69.67 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-04-27 06:18 UTC, Ramon Mallafré Gispert
Details
Calc spreadsheet to make test to see the problem (41.62 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-04-27 06:21 UTC, Ramon Mallafré Gispert
Details
File from roaming profile (367 bytes, text/plain)
2016-04-27 17:52 UTC, Ramon Mallafré Gispert
Details
Printscreen with correct view (241.34 KB, image/jpeg)
2016-04-28 11:16 UTC, Ramon Mallafré Gispert
Details
Printscreen with not correct view, dev version with OpenCL allowed (325.67 KB, image/jpeg)
2016-04-28 11:18 UTC, Ramon Mallafré Gispert
Details
sc_opencl_device_profile.dat from dev version (367 bytes, text/plain)
2016-04-28 11:22 UTC, Ramon Mallafré Gispert
Details
opengl_device.log in dev version (315 bytes, text/plain)
2016-04-28 13:15 UTC, Ramon Mallafré Gispert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ramon Mallafré Gispert 2016-04-26 13:18:35 UTC
Created attachment 124648 [details]
Hour field collected using vlookup

Easy spreadsheet, using VLOOKUP to collect time field, it is not displayed correctly.

Open the same spreadsheet with Openoffice, no problem.
Comment 1 raal 2016-04-26 20:47:09 UTC
Created attachment 124659 [details]
printscreen from openOffice and LO

See attachment - printscreen from LO a OOo looks identical. Seems to be fixed in dev version. Please could you test with dev version?
http://dev-builds.libreoffice.org/daily/master/
Thank you
Comment 2 Cor Nouws 2016-04-26 21:09:12 UTC
Hi Ramon,

Few things that I look at, work fine in 5.0.x and 5.1.2.1 and 5.2-alpha1..
Can you please explain what is wrong in your situation?

Thanks,
Cor
Comment 3 Ramon Mallafré Gispert 2016-04-27 06:18:19 UTC
Created attachment 124663 [details]
Not possible to open with calc

Libreoffice calc fail to open it
Comment 4 Ramon Mallafré Gispert 2016-04-27 06:21:45 UTC
Created attachment 124664 [details]
Calc spreadsheet to make test to see the problem

- Open the file
- In sheet "Temps" copy formulas in row 2 to rows 3 to 330
- After this, now, in my computer Calc crash, yesterday, instead to appears time in cells, appears big numbers with no sens.
Comment 5 raal 2016-04-27 12:24:01 UTC
(In reply to Ramon Mallafré Gispert from comment #4)
> Created attachment 124664 [details]
> Calc spreadsheet to make test to see the problem
> 
> - Open the file
> - In sheet "Temps" copy formulas in row 2 to rows 3 to 330
> - After this, now, in my computer Calc crash, yesterday, instead to appears
> time in cells, appears big numbers with no sens.

No crash with Version: 5.2.0.0.alpha0+ and 5.1.1.3; win7

Ramon, please upgrade and retest.  https://www.libreoffice.org/download/libreoffice-fresh/
Comment 6 Ramon Mallafré Gispert 2016-04-27 13:18:32 UTC
Thanks for your answer.
With fresh version I had the same problem, in windows 7.
Now I tried with LibreOffice 4.2.8.2 in Ubuntu and everything work with no problem. So, maybe it is something between windows in my computer and LibreOffice.

Sorry to waste your time.

I will work in my win 7 with OpenOffice for this files, all others works with no problem with LibreOffice.

Tell me if you think what I can do to solve it.

Regards.
Comment 7 raal 2016-04-27 14:01:55 UTC
Have you tested the options for the graphics card in Menu/Tools/OpenCL?
Disabling the OpenCL
Comment 8 Ramon Mallafré Gispert 2016-04-27 15:25:52 UTC
Now with OpenCL disabled everything works fine!

Many thanks.
Regards.
Comment 9 raal 2016-04-27 17:30:00 UTC
Please take a look at

C:\Users\User_name\AppData\Roaming\LibreOffice\4\cache\sc_opencl_device_profile.dat

Do you have this file on your PC? If yes, please attach it
Comment 10 Ramon Mallafré Gispert 2016-04-27 17:52:34 UTC
Created attachment 124682 [details]
File from roaming profile

Here you have the file.
Comment 11 Michael Meeks 2016-04-28 09:41:19 UTC
Wow - we need your improved OCL version dump code Tomaz =)

Ramon - any chance you can install a master test build run it and then attach:

cache/opencl_devices.log

which has a lot more helpful information, and in plain text form too =) hopefully that will help us black-list your device; which looks like a dodgy Intel OpenCL implementation =)

Thanks !
Comment 12 Ramon Mallafré Gispert 2016-04-28 09:48:05 UTC
(In reply to Michael Meeks from comment #11)
> Wow - we need your improved OCL version dump code Tomaz =)
> 
> Ramon - any chance you can install a master test build run it and then
> attach:
> 
> cache/opencl_devices.log
> 
> which has a lot more helpful information, and in plain text form too =)
> hopefully that will help us black-list your device; which looks like a dodgy
> Intel OpenCL implementation =)
> 
> Thanks !

Yeah, no problem, tell what you need and I will try to do.

You welcome, thanks to you.
Regards.
Comment 13 raal 2016-04-28 10:04:05 UTC
Install dev version from http://dev-builds.libreoffice.org/daily/master/

Attach C:\Users\User_name\AppData\Roaming\LibreOfficedev\4\cache\sc_opencl_device_profile.dat
Thank you
Comment 14 Ramon Mallafré Gispert 2016-04-28 11:16:39 UTC
Created attachment 124690 [details]
Printscreen with correct view

Correct view after disable OpenCL
Comment 15 Ramon Mallafré Gispert 2016-04-28 11:18:49 UTC
Created attachment 124691 [details]
Printscreen with not correct view, dev version with OpenCL allowed

instead of hour format cells, appears wrong numbers
Comment 16 Ramon Mallafré Gispert 2016-04-28 11:22:51 UTC
Created attachment 124692 [details]
sc_opencl_device_profile.dat from dev version

sc_opencl_device_profile.dat after open the dev version 5.2.0.0.alpha0+ (x64)
Comment 17 Tomaz Vajngerl 2016-04-28 13:00:01 UTC
@raal 

In latest master and 5.1 the files have changed (and there is no sc_opencl_device_profile.dat written):

opencl_devices.log - similar to what OpenGL writes - with more information about the devices and which of the devices was selected to be used for calculation 

opencl_profile.xml - what was sc_opencl_device_profile.dat but a valid and readable XML file

@ramon

If you have this files please provide them too (from the same folder as sc_opencl_device_profile.dat). We need that in your case...
Comment 18 Ramon Mallafré Gispert 2016-04-28 13:15:33 UTC
Created attachment 124700 [details]
opengl_device.log in dev version

There is no xml file in this folder.

Now the setting for OpenCL is disabled, there is Ok? or I need to change back to enable before send this file?
Comment 19 Tomaz Vajngerl 2016-04-28 13:30:01 UTC
Enable opencl - then the files (opencl_devices.log and opencl_profile.xml) will probably be created. Then you can disable again.
Comment 20 Ramon Mallafré Gispert 2016-04-28 13:37:33 UTC
(In reply to Tomaz Vajngerl from comment #19)
> Enable opencl - then the files (opencl_devices.log and opencl_profile.xml)
> will probably be created. Then you can disable again.

Hello Tomaz.

Sorry, I have tried several things but this two files do not appears on roaming folder.

Any suggestion?
Comment 21 Tomaz Vajngerl 2016-04-29 00:09:22 UTC
Maybe the latest dev build of LibreOffice still doesn't have this code.. it is rather new.
Comment 22 Aron Budea 2016-06-11 04:31:34 UTC
Ramon, could you try with 5.2 beta2? It's available
Comment 23 Aron Budea 2016-06-11 04:32:39 UTC
Ramon, could you try with 5.2 beta2? It's available on the LibreOffice download page among prerelease versions.
Comment 24 Ramon Mallafré Gispert 2016-07-01 07:41:08 UTC
Tested with version 5.2.0.1 still the same, with OpenCL wrong format for time cells, without OpenCL time cells are displayed correctly.

Regards.
Comment 25 Michael Meeks 2016-07-07 19:26:46 UTC
got it; am testing a fix locally.
Thanks !
Comment 26 Commit Notification 2016-07-11 09:38:32 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dead5dc1ae3baab5e25d641322d138dd3d242bff

tdf#99512 - opencl - restrict scope of vlookup optimization to doubles.

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Michael Meeks 2016-07-11 10:20:09 UTC
Fixed; thanks for reporting ! =)
Comment 28 Commit Notification 2016-07-11 12:24:59 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f250c06228f4d79af849ebe2ada565e42d29b8cd&h=libreoffice-5-2

tdf#99512 - opencl - restrict scope of vlookup optimization to doubles.

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2016-07-11 12:25:06 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9613bb90986277f3a222bea9a6d6d11f53a36622&h=libreoffice-5-1

tdf#99512 - opencl - restrict scope of vlookup optimization to doubles.

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2016-07-12 13:27:14 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e974221de906eccb5b2b10cf744f8768963b761&h=libreoffice-5-2-0

tdf#99512 - opencl - restrict scope of vlookup optimization to doubles.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.